Advisory Details

February 9th, 2024

Allegra SiteConfigAction Improper Access Control Remote Code Execution Vulnerability

ZDI-24-102
ZDI-CAN-22512

CVE ID CVE-2023-51644
CVSS SCORE 9.8, AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H
AFFECTED VENDORS Allegra
AFFECTED PRODUCTS Allegra
VULNERABILITY DETAILS

This vulnerability allows remote attackers to execute arbitrary code on affected installations of Allegra. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the configuration of Struts. The issue results from improper access control. An attacker can leverage this vulnerability to execute code in the context of LOCAL SERVICE.

ADDITIONAL DETAILS Allegra has issued an update to correct this vulnerability. More details can be found at:
https://www.trackplus.com/en/service/release-notes-reader/7-5-1-release-notes-2.html
DISCLOSURE TIMELINE
  • 2023-12-06 - Vulnerability reported to vendor
  • 2024-02-09 - Coordinated public release of advisory
  • 2024-05-31 - Advisory Updated
CREDIT 06fe5fd2bc53027c4a3b7e395af0b850e7b8a044
BACK TO ADVISORIES